### Function

# Gimp Vectors export_to_string

#### Declaration [src]

    gchar*
    gimp_vectors_export_to_string (
      GimpImage* image,
      GimpVectors* vectors
    )

#### Description [src]

Save a path as an SVG string.

This procedure works like `gimp_vectors_export_to_file()` but creates a string rather than a file. The contents are a NUL-terminated string that holds a complete XML document. If you pass 0 as the ‘vectors’ argument, then all paths in the image will be exported.

Available since: | 2.6

#### Parameters

`image` | `GimpImage`
| The image.
| The data is owned by the caller of the function.
`vectors` | `GimpVectors`
| The vectors object to save, or 0 for all in the image.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gchar*`

         A string whose contents are a complete SVG document.
         The returned value must be freed with g_free().

| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.